#include <bits/stdc++.h>

using namespace std;

int main() {
    long long n, trazen, ind;
    cin >> n >> trazen;
    long long niz[n];
    for(int i = 0; i < n; i++) {
        cin >> niz[i];
        if(niz[i] == trazen) ind = i;
    }
    cout << niz[(ind + 1) % n] << "\n";
    return 0;
}